Posts: 1
Joined: Sat Feb 24, 2018 3:58 pm

Google Assistant not working. Help!

Sat Feb 24, 2018 4:09 pm

Hey everyone, i am quite new to raspberry pi, and am following a tutorial made by Novaspirit tech to install Google assistant on raspberry pi. The guide can be found here: ... pberry-pi/

Anyway. when i enter the command that says; "python -m pip install --upgrade ... armv7l.whl" it returns this:

Code: Select all

(env) pi@raspberrypi:~ $ python -m pip install --upgrade
Collecting google-assistant-library==0.0.2 from
  Downloading (6.5MB)
    3% |█                               | 204kB 6.3kB/s eta 0:16:29Exception:
Traceback (most recent call last):
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/", line 232, in _error_catcher
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/", line 314, in read
    data =
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/cachecontrol/", line 60, in read
    data =
  File "/usr/lib/python3.4/http/", line 500, in read
    return super(HTTPResponse, self).read(amt)
  File "/usr/lib/python3.4/http/", line 539, in readinto
    n = self.fp.readinto(b)
  File "/usr/lib/python3.4/", line 371, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3.4/", line 745, in recv_into
    return, buffer)
  File "/usr/lib/python3.4/", line 617, in read
    v =, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/env/lib/python3.4/site-packages/pip/", line 215, in main
    status =, args)
  File "/home/pi/env/lib/python3.4/site-packages/pip/commands/", line 324, in run
  File "/home/pi/env/lib/python3.4/site-packages/pip/req/", line 380, in prepare_files
  File "/home/pi/env/lib/python3.4/site-packages/pip/req/", line 620, in _prepare_file
    session=self.session, hashes=hashes)
  File "/home/pi/env/lib/python3.4/site-packages/pip/", line 821, in unpack_url
  File "/home/pi/env/lib/python3.4/site-packages/pip/", line 659, in unpack_http_url
  File "/home/pi/env/lib/python3.4/site-packages/pip/", line 882, in _download_http_url
    _download_url(resp, link, content_file, hashes)
  File "/home/pi/env/lib/python3.4/site-packages/pip/", line 605, in _download_url
  File "/home/pi/env/lib/python3.4/site-packages/pip/utils/", line 852, in consume
    deque(iterator, maxlen=0)
  File "/home/pi/env/lib/python3.4/site-packages/pip/", line 571, in written_chunks
    for chunk in chunks:
  File "/home/pi/env/lib/python3.4/site-packages/pip/utils/", line 139, in iter
    for x in it:
  File "/home/pi/env/lib/python3.4/site-packages/pip/", line 560, in resp_read
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/", line 357, in stream
    data =, decode_content=decode_content)
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/", line 324, in read
    flush_decoder = True
  File "/usr/lib/python3.4/", line 77, in __exit__
    self.gen.throw(type, value, traceback)
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/", line 237, in _error_catcher
    raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.requests.packages.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='', port=443): Read timed out.
(env) pi@raspberrypi:~ $ 
I have no idea what to do and after searching for about half an hour have found nothing on how to fix it.



User avatar
Posts: 4134
Joined: Tue Oct 09, 2012 11:46 am
Location: Trondheim, Norway

Re: Google Assistant not working. Help!

Sun Feb 25, 2018 10:28 pm

Things move fast and that guide is old by now, why not use the official documentation:

Return to “Automation, sensing and robotics”

Who is online

Users browsing this forum: BrettMan03 and 10 guests